using System;
using System.Collections.Generic;
using System.Linq;

class Program
{
    
    
    static void Main()
    {
        string[] s = Console.ReadLine().Split();
        int n = int.Parse(s[0]);
        int l = int.Parse(s[1]);
        string[] s1 = Console.ReadLine().Split();
        int[] a = new int[n];
        int br = 0;
        for(int i=0; i<n; i++)
        {
            a[i] = int.Parse(s1[i]);
        }
        for(int i=0; i<n; i++)
        {
            if (l >= a[i])
            {
                br= i+1;
                break;
            }
            else
            {
                br = -1;
            }

        }
        Console.WriteLine(br);

    }
    
}